jQuery( document ).ready( function(){
	jQuery( '.export-btn' ).click( function(){
		var orID = jQuery(this).attr('id');
		AJAX_REUQEST = jQuery.ajax({
			type	: "POST",
			url 	: shirtee_order_vars.PLUGIN_URL+"/includes/order/order-data.php",
			data 	: "oid="+orID,
			success : function( data ){
				jQuery('.ex-'+orID).css('display','none');
				jQuery( '.loader_area' ).hide();
				AJAX_REUQEST = null;
			},
			error   : function(){
				jQuery( '.loader_area' ).hide();
				AJAX_REUQEST = null;
			},
			beforeSend: function(){
				jQuery('.ex-'+orID).css('display','block');
				jQuery( '.loader_area' ).show();
				if( AJAX_REUQEST != null ){
					AJAX_REUQEST.abort();
				}
			}
		});
	});

	// All export button
	jQuery('#export-btn').on("click", function () {
		if (!jQuery(".single-check").prop("checked")) {
			alert("Please select all checkbox and click me again.");
			return false;
		} else {
			var helpServ = '';
			jQuery('input[id^="check"]').each(function () {
				var servSpl = jQuery(this).attr('id').split('-');
				if (jQuery(this).prop('checked')) {
					helpServ += servSpl[1] + ',';
				} // Inner if completed
			}) // Each loop completed
			var advService = helpServ.substring(0, helpServ.length - 1);
			AJAX_REUQEST = jQuery.ajax({
				type: "POST",
				url: shirtee_order_vars.PLUGIN_URL + "/includes/order/order-data.php",
				data: "exportIDs=" + advService,
				success: function (data) {
					jQuery('.loader_area').hide();
					AJAX_REUQEST = null;
				},
				error: function () {
					jQuery('.loader_area').hide();
					AJAX_REUQEST = null;
				},
				beforeSend: function () {
					jQuery('.loader_area').show();
					if (AJAX_REUQEST != null) {
						AJAX_REUQEST.abort();
					}
				}
			});
		} // Main else completed
	}); // All export function END

	/* Order page searching */
	jQuery( '#search-order' ).keyup( function(){
		var limit 	  	 = jQuery( "#total-order" ).val();
		var searchKey 	 = jQuery( this ).val();
		var pagenum 	 = 1;
		AJAX_REUQEST = jQuery.ajax({
			type: "POST",
			url: shirtee_order_vars.ADMIN_URL,
			data:{
				action		: shirtee_order_vars.ORDER_LIST,
				limit 		: limit,
				search_key 	: searchKey,
				page_num 	: pagenum
			},
			success: function( data ){
				jQuery( '#all-result' ).html( data );
				jQuery( '.search_loader' ).hide();
				AJAX_REUQEST = null;
			},
			error   : function(){
				jQuery( '.search_loader' ).hide();
				AJAX_REUQEST = null;
			},
			beforeSend: function(){
				jQuery( '.search_loader' ).show();
				if( AJAX_REUQEST != null ){
		            AJAX_REUQEST.abort();
		        }
			}
		});
	});
	/* End*/

	/*Change number of lists */
	jQuery( '#total-order' ).on( 'change',function(){
		var limit 	  	= jQuery( this ).val();
		var searchKey 	= jQuery( "#search-order" ).val();
		var pagenum 	= 1;
		AJAX_REUQEST = jQuery.ajax({
			type: "POST",
			url: shirtee_order_vars.ADMIN_URL,
			data:{
				action		 : shirtee_order_vars.ORDER_LIST,
				limit 		 : limit,
				search_key 	 : searchKey,
				page_num 	 : pagenum
			},
			success: function( data ){
				jQuery( '#all-result' ).html( data );
				jQuery( '.loader_area' ).hide();
				AJAX_REUQEST = null;
			},
			error   : function(){
				jQuery( '.loader_area' ).hide();
				AJAX_REUQEST = null;
			},
			beforeSend: function(){
				jQuery( '.loader_area' ).show();
				if( AJAX_REUQEST != null ){
		            AJAX_REUQEST.abort();
		        }
			}
		});
	});
	/*END*/
	/* Orders JQuery */

	/* Seach Pagination */
	jQuery( "#all-result" ).delegate( "#order-pagination a.page-numbers","click",function( e ){
		e.preventDefault();
		var limit 	  	 = jQuery( '#total-order' ).val();
		var searchKey 	 = jQuery( "#search-order" ).val();
		var pagenum 	 = jQuery( this ).attr( "data-value" );
		AJAX_REUQEST = jQuery.ajax({
			type: "POST",
			url: shirtee_order_vars.ADMIN_URL,
			data:{
				action		 : shirtee_order_vars.ORDER_LIST,
				limit 		 : limit,
				search_key 	 : searchKey,
				page_num 	 : pagenum
			},
			success: function( data ){
				jQuery( '#all-result' ).html( data );
				jQuery( '.loader_area' ).hide();
				AJAX_REUQEST = null;
			},
			error   : function(){
				jQuery( '.loader_area' ).hide();
				AJAX_REUQEST = null;
			},
			beforeSend: function(){
				jQuery( '.loader_area' ).show();
				if( AJAX_REUQEST != null ){
					AJAX_REUQEST.abort();
				}
			}
		});
	} );

	jQuery( "#all-result" ).delegate( "#order-pagination #jump_page_number","change",function( e ){
		e.preventDefault();
		var limit 	  	 = jQuery( '#total-order' ).val();
		var searchKey 	 = jQuery( "#search-order" ).val();
		var pagenum 	 = jQuery( this ).val();
		AJAX_REUQEST = jQuery.ajax({
			type: "POST",
			url: shirtee_order_vars.ADMIN_URL,
			data:{
				action		 : shirtee_order_vars.ORDER_LIST,
				limit 		 : limit,
				search_key 	 : searchKey,
				page_num 	 : pagenum
			},
			success: function( data ){
				jQuery( '#all-result' ).html( data );
				jQuery( '.loader_area' ).hide();
				AJAX_REUQEST = null;
			},
			error   : function(){
				jQuery( '.loader_area' ).hide();
				AJAX_REUQEST = null;
			},
			beforeSend: function(){
				jQuery( '.loader_area' ).show();
				if( AJAX_REUQEST != null ){
					AJAX_REUQEST.abort();
				}
			}
		});
	} );
	/* End */
} );