<?php
/*
 * Plugin Name: Shirtee.cloud: Print-on-Demand and Warehouse
 * Description: Print-on-Demand-Dropshipping & Warehousing for your Woo-Commerce Business.
 * Author: Shirtee Team
 * Version: 3.34
 * Author URI:https://shirtee.cloud/
 * WC requires at least: 4.0.0
 * WC tested up to: 8.6.0
 * Text Domain: shirtee-products-1
 * Domain Path: /includes/languages
*/
if (! defined('ABSPATH')) {
    die();
}

if (!defined('SHIRTEE_PRODUCTS_FOLDER')) {
    define('SHIRTEE_PRODUCTS_FOLDER', 'shirtee-products-1');
}
if (!defined('SHIRTEE_ROOT_DIR')) {
    define('SHIRTEE_ROOT_DIR', plugin_dir_path(__FILE__));
}
if (!defined('SHIRTEE_ROOT_PATH')) {
    define('SHIRTEE_ROOT_PATH', plugin_dir_url(__FILE__));
}
if (!defined('DB_VERSION')) {
    define('DB_VERSION', '2.2');
}
if (!defined('PLUGIN_VERSION')) {
    define('PLUGIN_VERSION', '3.34');
}
if (!defined('SHIRTEE_APP')) {
    define('SHIRTEE_APP', '1');
}
if (!defined('SHIRTEE_WEB_PATH')) {
    define('SHIRTEE_WEB_PATH', "https://apibridge.shirtee.cloud/woo_api/stage_check/fetch_data_newapp.php");    
}

require_once(SHIRTEE_ROOT_DIR.'/includes/classes/class-shirtee-config.php');
require_once(SHIRTEE_ROOT_DIR.'/vendor/plugin-update-checker/plugin-update-checker.php');
require_once(SHIRTEE_ROOT_DIR.'/includes/shirtee-base-functions.php');

require_once(SHIRTEE_ROOT_DIR.'/includes/classes/class-shirtee-products-importer.php');
$shirtee_importer = new SHIRTEE_IMPORTER();