<?php
/**
 * Store tracking information and update
 * woo order status to "Completed"
 * 
 * PHP version >= 5
 * 
 * @category  ShirteeProducts
 * @package   ShirteeProductsImporter
 * @author    Shirtee Team <mail@shirtee.com>
 * @copyright 2019 Shirtee
 * @license   GTU www.gtu.in
 * @link      www.shirtee.com
 * @since     1.5
 */
if (!isset($_POST['order_id']) || empty($_POST['order_id']) || !isset($_POST['status'])|| empty($_POST['status']) || !isset($_POST['tracking']) || empty($_POST['tracking']) || !isset($_POST['tracking_carrier']) || empty($_POST['tracking_carrier'])) exit;
set_time_limit(0);
$path      = getcwd();
$root_path = explode("/wp-content", $path);
require_once $root_path[0]. '/wp-load.php';
require_once SHIRTEE_ROOT_DIR. '/includes/classes/class-shirtee-products-importer.php';
$shirtee_importer_obj = new SHIRTEE_IMPORTER();
if (!$shirtee_importer_obj->is_shirtee_plugin_activate() || !$shirtee_importer_obj->is_shirtee_required_plugin_activate()) exit;
global $wpdb;

$woo_order_id     = $_POST['order_id'];
$woo_shirtee_id   = $_POST['status'];
$tracking_number  = $_POST['tracking'];
$tracking_carrier = $_POST['tracking_carrier'];
$order_status = $_POST['order_status'];

$shirtee_orders = "{$wpdb->prefix}shirtee_import_woo_orders";
$shirtee_import_products = "{$wpdb->prefix}shirtee_import_products"; //shirtee product table
$custom_order   = $wpdb->get_row("SELECT `ID` FROM {$shirtee_orders} WHERE `woo_order_id` = {$woo_order_id} AND `woo_shirtee_id` = '{$woo_shirtee_id}'");
if (empty($custom_order)) exit();

$order = new WC_Order($woo_order_id);


 
if (!empty($order)) {
    $oldStatus = $order->get_status();
    if( empty($order_status) ){
        $newStatus = 'completed';
    }
    if( ! empty($order_status) && $order_status == "default" ){
        $newStatus = $oldStatus;
    } else {
        $newStatus = $order_status;
    }
    


    // The text for the note
    $note = "Tracking ID : {$tracking_number} \nTracking Carrier : {$tracking_carrier}";
	$search = "Tracking ID : {$tracking_number}";
    $order->update_meta_data('tracking_id', $tracking_number);
    $order->update_meta_data('tracking_carrier', $tracking_carrier);

    $comments    = "{$wpdb->prefix}comments";
    $commentData = $wpdb->get_row("SELECT `comment_ID` FROM {$comments} WHERE `comment_post_ID` = {$woo_order_id} AND `comment_type` = 'order_note' AND `comment_content` LIKE '% {$note} %'");
                            
    // Add the note if not added
    if (empty($commentData)) {
        $order->add_order_note($note);
    }

    if ($oldStatus !== $newStatus) {
        do_action('shirtee_cloud_trackig_details', $woo_order_id, $tracking_number, $tracking_carrier, $newStatus);
        $order->update_status($newStatus);
        
    }
} ?>